# vim:set ft=spec: -*- rpm-spec -*-
Name: briquolo
Version: 0.5.5
Release: alt1

Group: Games/Arcade
Summary: OpenGL-based 3D breakout.
Summary(ru_RU.UTF-8): Трёхмерный арканоид использующий OpenGL
Summary(be_BY.UTF-8): Трохмерны арканоід, які карыстае OpenGL
License: GPL
Url: http://briquolo.free.fr

Source0: %{name}-%version.tar.bz2
Source1: briquolo.16.png
Source2: briquolo.32.png
Source3: briquolo.48.png

BuildRequires: XFree86-devel XFree86-libs gcc-c++ libSDL-devel libSDL_mixer-devel 
BuildRequires: libpng-devel gettext libGLU-devel libSDL_ttf-devel

%description
BRIQUOLO is a breakout with 3D representation based on OpenGL.

%description -l ru_RU.UTF-8
BRIQUOLO это трёхмерный арканоид. Кубики и бита находятся в бассейне
с водой. Виды от первого и третьего лица, бонусы, различные виды 
кубиков, трёхмерная графика делают игру достаточно интересной и 
привлекательной.

%description -l be_BY.UTF-8
BRIQUOLO гэта трохмерны арканоід. Цагліны і біта знаходзяцца ў басэйне
з вадой. Віды ад першага і трэцяга ліку, бонусы, розныя тыпы цэглы,
трохмерная графіка робяць гульню дастаткова цікавай і прывабнай.

%prep
%setup -q

%build
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make_build

%install
%__mkdir_p %buildroot%_gamesdatadir/applications
%make_install install DESTDIR=%buildroot
%__mv %buildroot/%_gamesdatadir/locale %buildroot%_datadir/
%__mv %buildroot%_gamesdatadir/applications %buildroot%_datadir/
%__mv %buildroot%buildroot%_gamesdatadir/pixmaps %buildroot%_datadir/


mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(briquolo): \
    title="Briquolo" \
    section="Amusement/Arcade" \
    command="soundwrapper %_gamesbindir/%name" \
    needs="x11" \
    icon="%name.png" \
    longtitle="OpenGL-based breakout"
EOF

mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png
%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%_datadir/pixmaps/*
%_datadir/applications/*
%_gamesbindir/*
%_menudir/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_gamesdatadir/%name
%doc README*

%changelog
* Mon May 15 2006 Gleb Stiblo <ulfR@altlinux.ru> 0.5.5-alt1
- new upstream version

* Sun Aug 28 2005 Gleb Stiblo <ulfR@altlinux.ru> 0.5.4-alt1
- new upstream version

* Sat May 14 2005 Gleb Stiblo <ulfR@altlinux.ru> 0.5.3-alt1
- new translations
- icon and menu file

* Wed Mar 02 2005 Gleb Stiblo <ulfR@altlinux.ru> 0.5.2-alt1
- new version
- russian and belarussian translation

* Wed Feb 02 2005 Gleb Stiblo <ulfR@altlinux.ru> 0.5.1-alt1
- fixes

* Mon Dec 13 2004 Gleb Stiblo <ulfR@altlinux.ru> 0.5-alt1
- 5682 fixed
- new version

* Tue Aug 03 2004 Gleb Stiblo <ulfR@altlinux.ru> 0.4.2-alt4
- russian and belorussian summary/description

* Mon May 10 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.2-alt3
- glibc 2.3
- summary fixed

* Mon Feb 02 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.2-alt2
- binary file moved to games
- fr, nl locales added
- spec cleanup

* Mon Jan 26 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.2-alt1
- ALT adaptions.

